Google Web

12 sept. 2008

Viejas tecnologías...

Día a día me enfrento contra la resistencia a las actualizaciones. No lo puedo soportar, es como un Javiersillo molesto que en todo sistema que toco aparece con sus downgrade. El día de hoy tuve caos por dos detalles que me molestan y quiero compartir.

El primero de estos es con mi aplicación horrible de VB6, al descubrir que con el cliente no funcionan los booleanos. Esto es nonsense al por mayor, pues resulta que el maldito RDO/DAO, no puede ajustar su vida para entender que 0 es FALSE y -1 es TRUE. Asi que en en ciertas maquinas tengo que -1 es TRUE y en las que no hacen las cosas bien dice que es FALSE!. No entiendo porque, pero bueno, así que tendre que dejar a SQL de Access ayudarme con algo como IIF.

Ahora la otra, un cliente de PHP, tenía una horrible librería de JSON para su sitio. Yo dije WTF!, porque hace mamadas como esas, no conoce acaso json_encode y json_decode? En fin programe, y fui feliz todo el update del sistema (reescribirlo en clases) funciono. Pero oh sorpresa! El cliente es old fashion, y tiene una versión antiquisima de PHP (eso explica porque usan la librería). Ya esta el proceso de intentar actualizar el server, espero que sea factible, porque de lo contrario... Bueno no necesito aclarar más.